Issue 1223 sporadic init.sh test failure (2.1.1rc2+472)

Title sporadic init.sh test failure (2.1.1rc2+472)
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, mornfall, thorkilnaur
Assigned To

Created on 2008-11-11.20:45:39 by kowey, last changed 2009-08-27.14:14:37 by admin.

msg6655 (view) Author: kowey Date: 2008-11-11.20:45:36
echo init.sh > tests/tests_to_run
make -j3 test

sometimes it fails, sometimes it succeeds... why?


[Use conditional compilation for Salvatore's strict readFile fix
Eric Kow <kowey@darcs.net>**20081111145114
 Ignore-this: bf4e3159d1bdd2cadbb7b007c64f5e6d

[Fix gzReadFilePS to close file descriptor even on old bytestrings.
Salvatore Insalaco <kirby81@gmail.com>**20081108084939
 BL.readFile is not strict enough, and it actually leaves the file descriptor
opened. This should not happen, and probably it's a bug with older bytestrings
(the one shipped with ghc 6.8.x).
 This causes issues on Windows, where an opened file cannot be deleted.
 Using strict bytestring readFile, and then converting them to lazy bytestring
(should be O(1)) fix the problem.

[Add configure check for bytestring 0.9.1
Eric Kow <kowey@darcs.net>**20081111115319
 Ignore-this: f25fef6236879a1a2ad0ab44e337faee
 This introduces a HAVE_OLD_BYTESTRING flag
msg6890 (view) Author: mornfall Date: 2008-12-25.08:11:50
It would be good to have the failing output... Thanks! (I haven't seen it fail 
on my system yet, IIRC.)
msg7022 (view) Author: thorkilnaur Date: 2009-01-08.20:58:36
Set as resolved based on the following.

Best regards
On Wednesday 12 November 2008 12:08, Eric Kow wrote:
> On Wed, Nov 12, 2008 at 10:15:13 +1100, Trent W. Buck wrote:
> > Eric Kow <kowey@darcs.net> writes:
> > 
> > > [Resolve issue1223: Fix broken init.sh test
> > > Eric Kow <kowey@darcs.net>**20081111205233
> > >  Ignore-this: 6c619ab1614abe13d7eb15b320211733
> > 
> > This looks OK to me.
> Applied, thanks for the review!
> -- 
> Eric Kow <http://www.nltg.brighton.ac.uk/home/Eric.Kow>
> PGP Key ID: 08AC04F9
Date User Action Args
2008-11-11 20:45:39koweycreate
2008-12-25 08:11:54mornfallsetstatus: unread -> unknown
nosy: + mornfall
messages: + msg6890
2009-01-08 20:58:40thorkilnaursetstatus: unknown -> resolved
nosy: kowey, dagit, simon, thorkilnaur, dmitry.kurochkin, mornfall
messages: + msg7022
2009-08-10 23:51:26adminsetnosy: - dagit
2009-08-25 17:34:23adminsetnosy: + darcs-devel, - simon
2009-08-27 14:14:37adminsetnosy: kowey, darcs-devel, thorkilnaur, dmitry.kurochkin, mornfall